%define major		1
%define girmajor	0.1

%define gtk3	1
%{?_without_gtk3: %global gtk3 0}
%{?_with_gtk3: %global gtk3 1}

%define gtk2	1
%{?_without_gtk3: %global gtk2 0}
%{?_with_gtk3: %global gtk2 1}

%if %{gtk3}
%define libname		%mklibname appindicator 3 %{major}
%define libdevel	%mklibname appindicator3 -d
%define girname		%mklibname appindicator3-gir %{girmajor}
%endif

%if %{gtk2}
%define libgtk2name	%mklibname appindicator 2 %{major}
%define libgtk2devel	%mklibname appindicator2 -d
%define girgtk2name	%mklibname appindicator2-gir %{girmajor}
%endif

%define build_mono	1

Name:		libappindicator
Summary:	A library to allow applications to export a menu into the Unity Menu bar
Group:		System/Libraries
Version:	12.10.0
Release:	%mkrel 19
License:	GPLv3
URL:		http://launchpad.net/libappindicator
Source0:	http://launchpad.net/libappindicator/12.10/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		libappindicator-mono-nunit-fix.patch
Patch2:		libappindicator-12.10.0-mga-no-werror.patch
Patch3:		libappindicator-mono.patch

%if %{gtk3}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4) >= 0.5.90
BuildRequires:	pkgconfig(indicator3-0.4) >= 0.4.93
BuildRequires:	pkgconfig(indicate-0.7)
%endif
%if %{gtk2}
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(dbusmenu-gtk-0.4) >= 0.5.90
BuildRequires:	pkgconfig(indicator-0.4) >= 0.4.93
BuildRequires:	pkgconfig(python)
%endif
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	gtk-doc-mkpdf
BuildRequires:	intltool
BuildRequires:	perl-XML-SAX
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(libpng)
%if %{build_mono}
BuildRequires:	pkgconfig(mono)
%if %{mgaversion} < 6
BuildRequires:	pkgconfig(mono-nunit)
%else
BuildRequires:	pkgconfig(nunit)
%endif
BuildRequires:	pkgconfig(gtk-sharp-2.0)
BuildRequires:	pkgconfig(gapi-2.0)
%endif
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:	pkgconfig(pygtk-2.0)

%description
A library to allow applications to export a menu into the Unity Menu bar.
Based on KSNI, it also works in KDE, and will fallback to generic Systray
support, if none of those are available.

%if %{gtk3}
#--------------------------------------------------------------------
%package -n %{libname}
Summary:	libappindicator library
Group:		System/Libraries

%description -n %{libname}
Library for libappindicator.

%files -n %{libname}
%{_libdir}/libappindicator3.so.%{major}
%{_libdir}/libappindicator3.so.%{major}.*

#--------------------------------------------------------------------
%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}3
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}appindicator1 < 12.10.0-5

%description -n %{girname}
GObject Introspection interface description for %{name}3.

%files -n %{girname}
%{_libdir}/girepository-1.0/AppIndicator3-%{girmajor}.typelib

#--------------------------------------------------------------------
%package -n %{libdevel}
Summary:	libappindicator development files
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}3-devel = %{version}-%{release}
Obsoletes:	%{_lib}appindicator-devel < 12.10.0-5

%description -n %{libdevel}
Development files needed by libappindicator.

%files -n %{libdevel}
%doc %{_datadir}/gtk-doc/html/libappindicator/
%{_includedir}/libappindicator3-0.1/
%{_libdir}/libappindicator3.so
%{_libdir}/pkgconfig/appindicator3-0.1.pc
%{_datadir}/gir-1.0/AppIndicator3-0.1.gir
%{_datadir}/vala/vapi/appindicator3-0.1.*
%endif

%if %{gtk2}
#--------------------------------------------------------------------
%package -n %{libgtk2name}
Summary:	libappindicator gtk+2 library
Group:		System/Libraries

%description -n %{libgtk2name}
Gtk+2 library for libappindicator.

%files -n %{libgtk2name}
%{_libdir}/libappindicator.so.%{major}
%{_libdir}/libappindicator.so.%{major}.*

#--------------------------------------------------------------------
%package -n %{libgtk2devel}
Summary:	libappindicator gtk+2 development files
Group:		Development/GNOME and GTK+
Requires:	%{libgtk2name} = %{version}-%{release}
Requires:	%{girgtk2name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}appindicator-devel < 12.10.0-5

%description -n %{libgtk2devel}
Development files needed by libappindicator for gtk+2

%files -n %{libgtk2devel}
%doc %{_datadir}/gtk-doc/html/libappindicator/
%{_includedir}/libappindicator-0.1/
%{_libdir}/libappindicator.so
%{_libdir}/pkgconfig/appindicator-0.1.pc
%{_datadir}/gir-1.0/AppIndicator-0.1.gir
%{_datadir}/vala/vapi/appindicator-0.1.*

#--------------------------------------------------------------------
%package -n %{girgtk2name}
Summary:	GObject Introspection interface description for %{name}3
Group:		System/Libraries
Requires:	%{libgtk2name} = %{version}-%{release}
Conflicts:	%{_lib}appindicator1 < 12.10.0-5

%description -n %{girgtk2name}
GObject Introspection interface description for %{name}3.

%files -n %{girgtk2name}
%{_libdir}/girepository-1.0/AppIndicator-%{girmajor}.typelib

#--------------------------------------------------------------------
%package -n python-appindicator
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
Requires:	%{libgtk2name} = %{version}-%{release}

%description -n python-appindicator
This package contains the Python 2 bindings for the appindicator library.

%files -n python-appindicator
%dir %{python_sitearch}/appindicator/
%{python_sitearch}/appindicator/__init__.py*
%{python_sitearch}/appindicator/_appindicator.so
%dir %{_datadir}/pygtk/
%dir %{_datadir}/pygtk/2.0/
%dir %{_datadir}/pygtk/2.0/defs/
%{_datadir}/pygtk/2.0/defs/appindicator.defs

%endif
#--------------------------------------------------------------------
%if %{build_mono}
%package -n %{name}-sharp
Summary:	libappindicator tool
Group:		System/Libraries
Conflicts:	%{_lib}appindicator3-devel < 12.10.0-19

%description -n %{name}-sharp
Tool to load libappindicator plugins.

%files -n %{name}-sharp
%{_usr}/lib/mono/appindicator-sharp/
%{_usr}/lib/mono/gac/appindicator-sharp/
%{_usr}/lib/mono/gac/policy.0.0.appindicator-sharp/
%{_libdir}/pkgconfig/appindicator-sharp-0.1.pc
%endif

#--------------------------------------------------------------------

%prep
%setup -q appindicator -c

pushd %{name}-%{version}
	%autopatch -p1
popd

cp -a %{name}-%{version} %{name}-gtk2
mv -f %{name}-%{version} %{name}-gtk3

%build
%if %{gtk2}
pushd %{name}-gtk2
sed -i "s#gmcs#mcs#g" configure.ac
autoreconf -vfi
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
%configure2_5x \
        --with-gtk=2 \
        --enable-gtk-doc \
        --disable-static
# Parallel make, crash the build
make
popd
%endif

%if %{gtk3}
pushd %{name}-gtk3
sed -i "s#gmcs#mcs#g" configure.ac
autoreconf -vfi
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
%configure2_5x \
        --with-gtk=3 \
        --enable-gtk-doc \
        --disable-static
# Parallel make, crash the build
make
popd
%endif

%install
%if %{gtk2}
pushd %{name}-gtk2
%makeinstall_std
popd
%endif

%if %{gtk3}
pushd %{name}-gtk3
%makeinstall_std
popd
%endif

# Clean .la files
find %{buildroot} -name '*.la' -delete


%changelog
* Sun Oct 02 2016 wally <wally> 12.10.0-19.mga6
+ Revision: 1058125
- don't pull mono pkgs with devel pkg

* Sat Jan 02 2016 wally <wally> 12.10.0-18.mga6
+ Revision: 918463
- fix duplicate devel pkg provides (both devel pkgs provided libappindicator-devel)

* Sun Dec 27 2015 tarakbumba <tarakbumba> 12.10.0-17.mga6
+ Revision: 916171
- Fix devel packages

* Tue Dec 15 2015 tarakbumba <tarakbumba> 12.10.0-16.mga6
+ Revision: 910584
- Enable gtk2 build
- Enable python package
- Fix mono BR

  + pterjan <pterjan>
    - Restore mono on arm

* Sat Nov 28 2015 pterjan <pterjan> 12.10.0-13.mga6
+ Revision: 906793
- Disable mono binding on arm for now

* Sat Sep 05 2015 wally <wally> 12.10.0-12.mga6
+ Revision: 873102
- add patch from PLD to drop some possibly unwanted/unneeded mono files

* Tue Aug 04 2015 daviddavid <daviddavid> 12.10.0-11.mga6
+ Revision: 860969
- rebuild for new libindicate-12.10.1
- fix BuildRequires on pkgconfig(indicate-0.7)

* Mon Jun 29 2015 wally <wally> 12.10.0-10.mga6
+ Revision: 847525
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 12.10.0-9.mga5
+ Revision: 740047
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 umeabot <umeabot> 12.10.0-8.mga5
+ Revision: 738521
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 12.10.0-7.mga4
+ Revision: 531656
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 wally <wally> 12.10.0-6.mga4
+ Revision: 464530
- fix gir pkg requires

* Tue Jul 02 2013 wally <wally> 12.10.0-5.mga4
+ Revision: 449694
- fix pkg names
- split out gir typelibs
- clean .spec a bit

* Tue Jun 04 2013 dams <dams> 12.10.0-4.mga4
+ Revision: 437374
- now build with gtk3

* Sun Jun 02 2013 fwang <fwang> 12.10.0-3.mga4
+ Revision: 434905
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 12.10.0-2.mga3
+ Revision: 356809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 09 2012 shlomif <shlomif> 12.10.0-1.mga3
+ Revision: 280137
- New version 12.10.0

* Sat Jun 16 2012 shlomif <shlomif> 0.4.92-2.mga3
+ Revision: 261022
- Add missing BuildRequires. Thanks to simplew
- Add missing BuildRequires. Thanks to simplew
- Add a missing BuildRequires. Thanks to simplew
- Convert "%%make" to "make" to fix the build.
- imported package libappindicator


* Sun Mar 18 2012 Simple <simplew8@gmail.com> 0.4.93-2
- fix license
- its needed to run autoreconf to detect dependencies properly
- gtk-doc is needed
- do not own dirs that belong to another package

* Sun Mar 18 2012 Simple <simplew8@gmail.com> 0.4.93-1
- first package
